<!--Heading Section-->
<nav class="navbar-light breadcrumb-panel">
    <div class="row">
        <div class="col-md-12">
            <span class="ml-3">
                <span class="breadcrumb-heading" routerLink="../dataCatalogue">{{title}} </span>
                <img src="assets/images/novartis/next.svg" alt="" class="nav-next" />
                <span class="table-name-custom-css"> {{catalogService?.Table_Name}} </span>
            </span>
        </div>
        <div class="col-md-12 table-header-name">
            <p>{{catalogService?.Table_Name}}</p>
        </div>
    </div>
</nav>

<!--tabs start-->

<div class="s-tab">
    <!-- Render the Tab Component -->
    <ejs-tab id="secondary_tabs" #secondary_tabs heightAdjustMode="None" [animation]="tabAnimationSettings">
        <e-tabitems>
            <!--Overview tab -->
            <e-tabitem>
                <ng-template #headerText>
                    <span>Overview</span>
                </ng-template>
                <ng-template #content>
                    <!-- overview tab content -->
                    <div class="card-body ml-0 mt-3 pl-0">
                        <div class="card">
                            <div class="card-body">
                                <div class="row col-md-12 mb-3">
                                    <!--inner grid content-->
                                    <div class="col-md-9" id="detailed-business-details">
                                        <div class="row">
                                            <div class="col-md-4">
                                                <h6 class="mt-4 ml-4 otab-inr-headers">
                                                    {{ i18Labels.Detailedcatalogview['Technical Name'] }}
                                                </h6>
                                                <p class=" ml-4">
                                                    {{catalogService?.Table_Name}}
                                                </p>
                                            </div>
                                            <div class="col-md-4">
                                                <h6 class="mt-4 ml-4 otab-inr-headers">
                                                    {{ i18Labels.Detailedcatalogview['Logical Name'] }} <span
                                                        appPermissions functionality="CATALOG.EDIT_OBJ_LOGICAL_NAME"
                                                        action="R" class="ml-3 clickable fs"
                                                        *ngIf="editLogicalNameFlag == false"
                                                        (click)="editLogicalNameFlag = true; editLogicalNameInput = completeDataFeed['Logical Name']">
                                                        <img src="assets/images/novartis/edit.svg" alt=""
                                                            class="editIcon"></span>
                                                </h6>
                                                <p class=" ml-4" *ngIf="!editLogicalNameFlag">
                                                    {{ completeDataFeed['Logical Name'] }}
                                                </p>
                                                <div class="row mt-1 ml-2 mr-4" *ngIf="editLogicalNameFlag">
                                                    <div class="col-md-10">
                                                        <div class="form-group">
                                                            <input type="text" rows="4" name="editLogicalNameInput"
                                                                [(ngModel)]="editLogicalNameInput"
                                                                class="form-control edit-l-name" maxlength="1000"
                                                                placeholder="{{ i18Labels.placeholders['Edit Logical Name'] }}">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 save-btn-align">
                                                        <button class="btn btn-name-save btn-sm" type="button"
                                                            (click)="editLogicalName()">{{ i18Labels.Detailedcatalogview['Save'] }}</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <h6 *ngIf="this.catalogService.layerType == 'Redshift Schema' || this.catalogService.layerType == 'Snowflake Schema'"
                                                    class="mt-4 ml-4 otab-inr-headers">
                                                    {{ i18Labels.Detailedcatalogview['Number of Records'] }}
                                                </h6>
                                                <p *ngIf="this.catalogService.layerType == 'Redshift Schema' || this.catalogService.layerType == 'Snowflake Schema'"
                                                    id="count-text-align" class=" ml-4">
                                                    {{ this.rowCount }}</p>
                                                <h6 *ngIf="this.catalogService.layerType == 'S3 Bucket'"
                                                    class="mt-4 ml-4 otab-inr-headers">
                                                    {{ i18Labels.Detailedcatalogview['File size'] }}
                                                </h6>
                                                <p *ngIf="this.catalogService.layerType == 'S3 Bucket'" class=" ml-4">
                                                    {{ this.fileSize }} KB
                                                </p>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-4">
                                                <h6 class="mt-4 ml-4 otab-inr-headers">
                                                    {{ i18Labels.Detailedcatalogview['Layer Name'] }}
                                                </h6>
                                                <p class=" ml-4">
                                                    {{ completeDataFeed['Layer_name'] }}
                                                </p>
                                            </div>
                                            <div class="col-md-4">
                                                <h6 class="mt-4 ml-4 otab-inr-headers">
                                                    {{ i18Labels.Detailedcatalogview['Version'] }}
                                                </h6>
                                                <p class=" ml-4">
                                                    {{this.URI_ID}}
                                                </p>
                                            </div>
                                            <div class="col-md-4">
                                                <h6 class="mt-4 ml-4 otab-inr-headers">
                                                    {{ i18Labels.Detailedcatalogview['Contract Period'] }}
                                                </h6>
                                                <p class=" ml-4">
                                                    01/01/2019 - 01/12/2019
                                                </p>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-4">
                                                <h6 class="mt-4 ml-4 otab-inr-headers">
                                                    {{ i18Labels.Detailedcatalogview['Creation Date'] }}
                                                </h6>
                                                <p class=" ml-4">
                                                    {{ completeDataFeed['created_date'] }}
                                                </p>
                                            </div>
                                            <div class="col-md-4">
                                                <h6 class="mt-4 ml-4 otab-inr-headers">
                                                    {{ i18Labels.Detailedcatalogview['Last Modification Date'] }}
                                                </h6>
                                                <p class=" ml-4">
                                                    {{ completeDataFeed['modified_date'] }}
                                                </p>
                                            </div>
                                            <div class="col-md-4">
                                                <h6 class="mt-4 ml-4 otab-inr-headers">
                                                    {{ i18Labels.Detailedcatalogview['Last Data Refresh Date'] }}
                                                </h6>
                                                <p class=" ml-4">
                                                    {{ completeDataFeed['last_updated_ts'] }}
                                                </p>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-4">
                                                <h6 class="mt-4 ml-4 otab-inr-headers">
                                                    {{ i18Labels.Detailedcatalogview['Owner'] }}
                                                </h6>
                                                <p class=" ml-4">
                                                    {{ completeDataFeed['owner'] }}
                                                </p>
                                            </div>
                                            <div class="col-md-4">
                                                <h6 class="mt-4 ml-4 otab-inr-headers">
                                                    {{ i18Labels.Detailedcatalogview['Data Agreement'] }}
                                                </h6>
                                                <p class=" ml-4">
                                                    Agreement123.doc
                                                </p>
                                            </div>
                                            <div class="col-md-4">

                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3" id="misc-data-align">
                                        <h6 class="mt-2 ml-1 grey-background">
                                            <span
                                                class="c-ribbon-header">{{ i18Labels.Detailedcatalogview['Business Description'] }}
                                            </span>
                                            <span appPermissions functionality="CATALOG.EDIT_OBJ_BUSSINESS_DESC"
                                                action="R" class="float-right mr-3 clickable"
                                                *ngIf="editBusinessDescriptionFlag == false"
                                                (click)="editBusinessDescriptionFlag = true; editBusinessDescriptionInput = completeDataFeed['Business Description']">
                                                <img src="assets/images/novartis/edit.svg" alt="" class="editIcon">
                                                <span
                                                    class="rp-icon-text">{{ i18Labels.Detailedcatalogview['Edit'] }}</span>
                                            </span>
                                        </h6>
                                        <p class="b-description" *ngIf="!editBusinessDescriptionFlag">
                                            {{ completeDataFeed['Business Description'] }}
                                        </p>
                                        <div class="row mr-2" *ngIf="editBusinessDescriptionFlag">
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <input type="text" rows="4" name="editBusinessDescriptionInput"
                                                        [(ngModel)]="editBusinessDescriptionInput"
                                                        class="form-control b-edit-desc" maxlength="1000"
                                                        placeholder="{{ i18Labels.placeholders['Edit Business Description'] }}">
                                                </div>
                                            </div>

                                        </div>
                                        <div class="row" *ngIf="editBusinessDescriptionFlag">
                                            <div class="col-md-12 pr-2">
                                                <button class="btn btn-sm btn-primary float-right b-desc-btn bg-save"
                                                    type="button"
                                                    (click)="editBusinessDescription()">{{ i18Labels.Detailedcatalogview['Save'] }}</button>
                                                <button class="btn btn-sm btn-primary b-desc-btn bg-cancel"
                                                    type="button" (click)="editBusinessDescription()">Cancel</button>
                                            </div>
                                        </div>

                                        <!--data asset-->
                                        <h6 class="cmt-27 ml-1 grey-background">
                                            <span
                                                class="c-ribbon-header">{{ i18Labels.Detailedcatalogview['Data Asset'] }}</span>
                                            <span class="float-right mr-3 clickable" 
                                                appPermissions functionality="CATALOG.ASSIGN_TAG" action="R">
                                                <!-- <i class="fa fa-plus ml-4" aria-hidden="true" *ngIf="editableDataAsset"></i>
                                                <span *ngIf="editableDataAsset" (click)="addDataAsset()"
                                                    class="rp-icon-text">{{ i18Labels.Detailedcatalogview['Add'] }}</span> -->
                                                <img src="assets/images/novartis/edit.svg" alt="" class="editIcon" *ngIf="!editableDataAsset">
                                                <span *ngIf="!editableDataAsset" (click)="editDataAsset()"
                                                    class="rp-icon-text">{{ i18Labels.Detailedcatalogview['Edit'] }}</span>
                                            </span>
                                        </h6>

                                        <div class="mb-3">
                                            <ejs-dropdownlist cssClass="e-outline" showSelectAll="true" *ngIf="editableDataAsset" #dataAssetDropDown [placeholder]='dataAssetPlaceholder'
                                                selectAllText="Select All" width="100%" [dataSource]='listOfDataAssets' [fields]='dataAssetFields' 
                                                class="da-drp-placement">
                                            </ejs-dropdownlist>
                                            <div class="row" *ngIf="editableDataAsset">
                                                <div class="col-md-12 pr-2">
                                                    <button class="btn btn-sm btn-primary float-right b-desc-btn bg-save" type="button" (click)="addDataAsset()">Save</button>
                                                    <button class="btn btn-sm btn-primary b-desc-btn bg-cancel" type="button" (click)="this.editableDataAsset = !this.editableDataAsset">Cancel</button>
                                                </div>
                                            </div>
                                            <span class="ml-3" *ngIf="!editableDataAsset">{{dataAssetDisplay?.name}}</span>
                                        </div>
                                        <!--data asset-->

                                        <h6 class="mt-2 ml-1 grey-background">
                                            <strong> {{ i18Labels.Detailedcatalogview['Tags'] }}</strong>
                                            <span appPermissions functionality="CATALOG.ASSIGN_TAG" action="R"
                                                class="float-right mr-3 clickable" *ngIf="!displayTagInputSection"
                                                (click)="displayTagInputSection = true; passTagDetails(bkpTagStringFromUIArr)">
                                                <i class="fa fa-plus ml-4" aria-hidden="true"></i>
                                                {{ i18Labels.Detailedcatalogview['Add'] }}
                                            </span>
                                        </h6>
                                        <div *ngIf="displayTagInputSection">
                                            <div class="input-group" id="searchEle">
                                                <input class="form-control border srch-input"
                                                    placeholder="Search and add tags" type="text"
                                                    [(ngModel)]="searchTextTag" name="searchTextTag"
                                                    (change)="filterTagList()">
                                            </div>
                                            <div class="tags">
                                                <div class="division l-div">
                                                    <p class="ml-3">Available Tags</p>
                                                    <div class="mb-3">
                                                        <div class="new-tag ml-1 mb-1 mr-2"
                                                            *ngFor="let item of tagSuggestions">
                                                            <button class="btn btn-add-tag">
                                                                <img src="assets/images/feature_icons/add.png" alt=""
                                                                    (click)="attachTagToSelected(item)" />
                                                            </button>
                                                            <span>{{item.name}}</span>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="division r-div">
                                                    <p class="ml-4">Tags being added</p>
                                                    <div class="new-tag ml-4 mb-1"
                                                        *ngFor="let item of tagStringFromUIArr">
                                                        <button class="btn btn-add-tag">
                                                            <img src="assets/images/novartis/remove.svg" alt=""
                                                                (click)="detachTag(item)" class="tag-remove" />
                                                        </button>
                                                        <span>{{item.name}}</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row float-right mr-1 mt-2 mb-1" *ngIf="displayTagInputSection">
                                            <button class="btn btn-secondary actionButton mr-2"
                                                (click)="cancelTagUpdate()">Cancel</button>
                                            <button class="btn btn-primary actionButton"
                                                (click)="add_tags()">{{ i18Labels.Detailedcatalogview['Save'] }}</button>
                                        </div>
                                        <div class="row cml-0 mr-1" *ngIf="!displayTagInputSection">
                                            <div class="chip ml-1 mr-1 mt-1 mb-1
                                                d-inline-flex" *ngFor="let tag of tagStringFromUIArr">
                                                <ejs-tooltip content="{{tag?.user_name}} | {{tag?.created_on}}"
                                                    position='RightCenter'>
                                                    <span class="limit-content">{{tag?.name}}</span>
                                                </ejs-tooltip>
                                                <span class="closebtn d-inline-flex" (click)="deleteTag(tag, 1)"
                                                    appPermissions functionality="CATALOG.UNASSIGN_TAG"
                                                    action="R">&times;</span>
                                            </div>
                                        </div>
                                    </div>
                                    <!--inner grid content-->
                                </div>
                            </div>
                        </div>
                    </div>
                    <!--overview tab content-->
                </ng-template>
            </e-tabitem>
            <!--Overview tab -->

            <!--Data Dictionary tab -->
            <e-tabitem>
                <ng-template #headerText>
                    <span>Data Dictionary</span>
                </ng-template>
                <ng-template #content>
                    <div class="container-fluid pl-0 pb-0">
                        <!--inner dictionary grid content-->
                        <app-data-dictionary [dictionary]="structureData"></app-data-dictionary>
                        <!--inner dictionary grid content-->
                    </div>
                </ng-template>
            </e-tabitem>
            <!--Data Dictionary tab -->

            <!--Statistics tab / consumption -->
            <e-tabitem
                *ngIf="this.catalogService.layerType == 'Redshift Schema' || this.catalogService.layerType == 'Snowflake Schema'">
                <ng-template #headerText>
                    <span>Statistics</span>
                </ng-template>
                <ng-template #content>
                    <div class="card-body ml-0 mt-3 pl-0">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <!--inner statistics grid content-->
                                    <app-statistics [nodeId]="this.catalogService.completeDataFeed.id">
                                    </app-statistics >
                                    <!--inner statistics grid content-->
                                </div>
                            </div>
                        </div>
                    </div>
                </ng-template>
            </e-tabitem>
            <!--Statistics tab-->

            <!--Files tab -->
            <e-tabitem *ngIf="this.catalogService.layerType == 'Object'">
                <ng-template #headerText>
                    <span>Files</span>
                </ng-template>
                <ng-template #content>

                    <div class="container-fluid pl-0 pb-0">
                        <!--inner files grid content-->
                        <app-object-file-view [objUriId]="this.URI_ID"></app-object-file-view>
                        <!--inner files grid content-->
                    </div>

                </ng-template>
            </e-tabitem>
            <!--Files tab -->


            <!--Data Preview tab / sample -->
            <e-tabitem
                *ngIf="this.catalogService.layerType == 'Redshift Schema' || this.catalogService.layerType == 'Snowflake Schema'">
                <ng-template #headerText>
                    <span>Data Preview</span>
                </ng-template>
                <ng-template #content>

                    <div class="container-fluid pl-0 pb-0">
                        <!--inner Data Preview grid content-->
                        <app-dynamic-sync-grid-repeater [profile]="sample">
                        </app-dynamic-sync-grid-repeater>
                        <!--inner Data Preview grid content-->
                    </div>

                </ng-template>
            </e-tabitem>
            <!--Data Preview tab-->

            <!-- Quality Metrics tab -->
            <e-tabitem>
                <ng-template #headerText>
                    <span>Quality Metrics</span>
                </ng-template>
                <ng-template #content>
                    <div class="card-body ml-0 mt-3 pl-0">
                        <div class="card">
                            <div class="card-body">
                                <div class="row mb-3">
                                    <div class="col-md-12">
                                        <!--inner Quality Metrics grid content-->
                                        <app-quality-metrics></app-quality-metrics>
                                        <!--inner Quality Metrics grid content-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </ng-template>
            </e-tabitem>
            <!-- Quality Metrics tab-->

            <!-- Usecases tab -->
            <e-tabitem>
                <ng-template #headerText>
                    <span>Use Cases</span>
                </ng-template>
                <ng-template #content>
                    <div class="card-body ml-0 mt-3 pl-0">
                        <div class="card">
                            <div class="card-body">
                                <div class="row mb-3">
                                    <div class="col-md-12">
                                        <!--inner Use cases grid content-->
                                        <!--inner Use cases grid content-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </ng-template>
            </e-tabitem>
            <!-- Usecases tab-->

            <!-- Lineage tab -->
            <e-tabitem>
                <ng-template #headerText>
                    <span>Lineage</span>
                </ng-template>
                <ng-template #content>
                    <div class="card-body ml-0 mt-3 pl-0">
                        <div class="card">
                            <div class="card-body">
                                <div class="row mb-3">
                                    <div class="col-md-12">
                                        <!--inner Lineage grid content-->
                                        <app-lineage></app-lineage>
                                        <!--inner Lineage Metrics grid content-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </ng-template>
            </e-tabitem>
            <!-- Lineage tab-->

            <!-- Comments & Reviews tab -->
            <e-tabitem>
                <ng-template #headerText>
                    <span>Comments & Reviews</span>
                </ng-template>
                <ng-template #content>
                    <div class="card-body ml-0 mt-3 pl-0">
                        <div class="card">
                            <div class="card-body">
                                <div class="row mb-3">
                                    <div class="col-md-12">
                                        <!--inner Comments & Reviews grid content-->
                                        <app-ratings-and-comments [nodeId]="this.catalogService.completeDataFeed.id">
                                        </app-ratings-and-comments>
                                        <!--inner Comments & Reviews Metrics grid content-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </ng-template>
            </e-tabitem>
            <!-- Comments & Reviews tab-->

        </e-tabitems>
    </ejs-tab>
</div>

<!--tabs end-->